Skip to navigation

Pre Encounter Patients V 1 Get History

Gets a patient along with it's full history. The return list is ordered by version ascending.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

idstringRequired
The unique identifier for a Patient

Response

biological_sexenum

The biological sex of the patient. This corresponds to the HL7 AdministrativeGender https://www.hl7.org/fhir/valueset-administrative-gender.html

Allowed values:
birth_datedate
contactslist of objects
Contacts for the patient.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
filing_orderobject
The patient's active coverages, in order of primary, secondary, etc.
general_practitionerslist of objects
idstring
The unique UUID identifier for a Patient. Patient ID is used in machine contexts.
mrnstring

The medical record number for the patient. Human-friendly Taiga generated MRNs are of the form “YYMMDDXXXX”, where “YYMMDD” is the date of patient creation and “XXXX” is a zero-padded incrementing integer.

nameobject
organization_idstring
The organization that owns this object.
other_addresseslist of objects
Other addresses for the patient.
other_nameslist of objects
Other names for the patient.
other_telecomslist of objects
Other phone numbers for the patient.
primary_addressobject
The primary address for the patient.
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
advanced_directiveslist of enums or nullOptional
authorizationslist of objects or nullOptional
custom_metadatalist of objects or nullOptional

Custom key/value metadata attached to this patient, grouped by the MetadataSchema that defines the keys’ types. Configure schemas via the metadata-schemas API. Values are validated against the referenced schema on write.

deceaseddatetime or nullOptional
Time of death for the patient. Leave unset if the patient is not deceased.
disability_statusenum or nullOptional
Allowed values:
do_not_invoice_reasonenum or nullOptional
If this value is defined, the customer will not be invoiced.
emailstring or nullOptional
ethnicityenum or nullOptional
Allowed values:
external_provenanceobject or nullOptional
Information about the upstream system that owns this patient data. Leave unset if Taiga owns patient data.
genderenum or nullOptional
guarantorobject or nullOptional
hipaa_codestring or nullOptional
inferred_patient_metadataobject or nullOptional
Metadata for the patient used for patient inference from encounters.
languagestring or nullOptional
marital_statusenum or nullOptional
multiple_birthinteger or nullOptional
The number of siblings the patient was born with. Leave unset if the patient was not part of a multiple birth.
non_insurance_payer_associationslist of objects or nullOptional
note_idslist of strings or nullOptional
orconboolean or nullOptional

ORCON (Originator Controlled) - When set to true, the Taiga system will hide this patient from downstream integrations. Updates made in the Taiga UI will unset this flag. Defaults to false.

origination_detailobject or nullOptional
Information about the patient source, if applicable.
other_identifierslist of objects or nullOptional
Other identifiers for the patient.
photostring or nullOptional
primary_service_facility_idstring or nullOptional
primary_telecomobject or nullOptional
The primary phone number for the patient.
pronounslist of strings or nullOptional
The pronouns of the patient.
raceenum or nullOptional
referralslist of objects or nullOptional
self_payboolean or nullOptional
service_facilitieslist of objects or nullOptional
Associated service facilities for this patient.
sexual_orientationenum or nullOptional
The sexual orientation of the patient.
social_security_numberstring or nullOptional
tag_idslist of strings or nullOptional
electronic_communication_opt_inboolean or nullOptionalDeprecated

Use electronic_communication_consent for granular channel-level consent. This field is kept in sync automatically but should not be used for new integrations.

non_insurance_payerslist of strings or nullOptionalDeprecated

Errors

404
Not Found Error